Bug 831690 - internal compiler error: Segmentation fault
internal compiler error: Segmentation fault
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: gcc (Show other bugs)
6.2
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: Jakub Jelinek
qe-baseos-tools
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-13 11:01 EDT by Kevin Abbey
Modified: 2012-10-08 06:30 EDT (History)
2 users (show)

See Also:
Fixed In Version: gcc-4.4.6-4.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-08 06:30:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
partial output from the terminal (18.49 KB, application/octet-stream)
2012-06-13 11:01 EDT, Kevin Abbey
no flags Details
fortran source code that reproduces the problem (7.81 KB, text/plain)
2012-09-20 16:52 EDT, Mark Sienkiewicz
no flags Details

  None (edit)
Description Kevin Abbey 2012-06-13 11:01:45 EDT
Created attachment 591536 [details]
partial output from the terminal

Description of problem:
I was attempting to compile tests for the ATLAS with full LAPACK library.

Version-Release number of selected component (if applicable):

more /etc/redhat-release 
CentOS release 6.2 (Final)

atlas3.9.78.tar.bz2
lapack-3.4.1.tgz


 gfortran -v
Using built-in specs.
Target: x86_64-redhat-linux
Configured with: ../configure --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --with-bugurl=http://bugzilla.redhat.com/bugzilla --enable-bootstrap --enable-shared --enable-threads=posix --enable-checking=release --with-system-zlib --enable-__cxa_atexit --disable-libunwind-exceptions --enable-gnu-unique-object --enable-languages=c,c++,objc,obj-c++,java,fortran,ada --enable-java-awt=gtk --disable-dssi --with-java-home=/usr/lib/jvm/java-1.5.0-gcj-1.5.0.0/jre --enable-libgcj-multifile --enable-java-maintainer-mode --with-ecj-jar=/usr/share/java/eclipse-ecj.jar --disable-libjava-multilib --with-ppl --with-cloog --with-tune=generic --with-arch_32=i686 --build=x86_64-redhat-linux
Thread model: posix
gcc version 4.4.6 20110731 (Red Hat 4.4.6-3) (GCC)



How reproducible:


Steps to Reproduce:
1. 
../ATLAS/configure --prefix=/ccib-bsb-164/u1/opt/software/ATLAS/3.9.78_tunedlap  -Fa alg -fPIC  -Si latune 1 -Ss flapack /opt/software/python/src/atlas/lapack/lapack-3.4.1/SRC

2.
Usually, you will want to test your newly install ATLAS LAPACK & BLAS:
   make lapack_test_al_ab

stbt05.f: In function ‘stbt05’:
stbt05.f:189: internal compiler error: Segmentation fault

3. 
  
Actual results:
internal compiler error: Segmentation fault

Expected results:
no error

Additional info:

If the optimization for this one file if removed or change to -O3 it builds clean with no error.  If the optimization is -O, -O1, -O2 then there is an internal error, segfault.
Comment 2 Mark Sienkiewicz 2012-09-20 16:52:52 EDT
Created attachment 615120 [details]
fortran source code that reproduces the problem

% gfortran -m64 -fPIC -O1  -c stpt05.f 
stpt05.f: In function 'stpt05':
stpt05.f:1: internal compiler error: Segmentation fault

Red Hat Enterprise Linux Server release 6.2 (Santiago)
Comment 3 Mark Sienkiewicz 2012-09-20 16:53:40 EDT
On:

Red Hat Enterprise Linux Server release 6.2 (Santiago)

% gfortran -v
Using built-in specs.
Target: x86_64-redhat-linux
Configured with: ../configure --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --with-bugurl=http://bugzilla.redhat.com/bugzilla --enable-bootstrap --enable-shared --enable-threads=posix --enable-checking=release --with-system-zlib --enable-__cxa_atexit --disable-libunwind-exceptions --enable-gnu-unique-object --enable-languages=c,c++,objc,obj-c++,java,fortran,ada --enable-java-awt=gtk --disable-dssi --with-java-home=/usr/lib/jvm/java-1.5.0-gcj-1.5.0.0/jre --enable-libgcj-multifile --enable-java-maintainer-mode --with-ecj-jar=/usr/share/java/eclipse-ecj.jar --disable-libjava-multilib --with-ppl --with-cloog --with-tune=generic --with-arch_32=i686 --build=x86_64-redhat-linux
Thread model: posix
gcc version 4.4.6 20110731 (Red Hat 4.4.6-3) (GCC) 


% gfortran -m64 -fPIC -O1  -c stpt05.f 
stpt05.f: In function 'stpt05':
stpt05.f:1: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <http://bugzilla.redhat.com/bugzilla> for instructions.

I'm attachnig stpt05.f; it comes from lapack-3.2.2 from netlib.
Comment 4 Jakub Jelinek 2012-10-08 06:30:05 EDT
This has been fixed already in gcc-gfortran-4.4.6-4.el6.
See http://rhn.redhat.com/errata/RHBA-2012-0941.html

Note You need to log in before you can comment on or make changes to this bug.